/* NEFCON-I: an interactive system for realization of a neural fuzzy controller

   Copyright (C) 1994 

   Institut fuer Betriebssysteme und Rechnerverbund, Technische Universitaet
   Braunschweig, Bueltenweg 74/75, 38106 Braunschweig, Germany, 
   hereby disclaims all copyright interests in the program NEFCON-I 
   written by Hermann-Josef Diekgerdes and Roland Stellmach.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/




#ifndef regel_ed_h
#define regel_ed_h

#include <InterViews/action.h>

#include "lingvar.h"
#include "regel.h"
#include "nfclook.h"
#include "regel_tafel.h"
#include "regel_tab.h"

/*
 *------------------------------------------------------------------------------
 * Klasse : RegelEd
 * Zweck  : Oeffnet ein Dialogfenster, das 2 Regel-Editoren zur Definition
 *          einer RegelBasis enthaelt; einen numerischen Regel-Editor, in Form
 *          einer RegelTafel mit zusaetzlichen Eingabefeldern, und einen
 *          grafischen Regel-Editor, in Form einer RegelTabelle mit
 *          zusaetzlichem Menue.
 *------------------------------------------------------------------------------
 */
class RegelEd : public NfcDialogFenster
{
  public : RegelEd(
             const LingVarSatz*,
             const RegelBasis*,
             Action* ok_cb,
             Action* nook_cb
           );
           ~RegelEd();
           RegelBasis* regelbasis();
  private: RegelBasis _regelbasis;
           LingVarSatz _lingvarsatz;
           RegelBrowser *_regel_browser1,
                        *_regel_browser2;
};

#endif
